"use strict";

jQuery( document ).ready( function( $ ) {

    if(WooclLicense.is_cl_license == "cl_license"){
        $('p.submit button.woocommerce-save-button').hide();
    }

    if(WooclLicense.is_cl_activated == true ){
        $('#cl_license_key').attr('readonly', true);
        $('#cl_email_address').attr('readonly', true);
    }

    $(document).on('click','.check-license-cl',function(e){
        e.preventDefault();
        jQuery('.error').remove();
        var license_key = jQuery('#cl_license_key').val();
        var email = jQuery('#cl_email_address').val();
        var valid = 0;

        if(license_key.length > 1 && email != '') {
            valid = 1;
        }else{
            jQuery('#mainform h2').after('<div class="error notice"><p>All fields are required</p></div>');
            return false;
        }

        if(woo_cl_isEmail(email)){
            valid = 1;
        }else{
            jQuery('#mainform h2').after('<div class="error notice"><p>Please Enter valid email address</p></div>');
            return false;
        }

        if(valid == 1){
            jQuery('#check-license').attr('disabled', true);
			$('.woo-cl-license-button #loader').show();
            $.ajax({
                url : WooclLicense.ajaxurl,
                data: {
                    action: 'woo_cl_activate_license',
                    license_action: WooclLicense.woo_cl_activated,
                    license_key: license_key,
                    email: email
                },
                type : 'POST',
                success : function(response){
                    $('.woo-cl-license-button #loader').hide();
                    if(response.status==true){
                        window.onbeforeunload = null;
                        Swal.fire(
							'Success',
							response.msg,
							'success',                       
						  ).then(() => {
							  window.location.href = 'admin.php?page=wc-settings&tab=woo-cl-settings';                        
						  });
                    } else {
                        jQuery('#check-license').attr('disabled', false);
                        Swal.fire(
							'Error',
							response.msg,
							'error',
						);
                    }
                }
            });
        } 
    });
});

// function to validate email address
function woo_cl_isEmail(email) {
	var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
	return regex.test(email);
}